'''
  ____   ___  _     _ _       
 / ___| / _ \| |   (_) |_ ___ 
 \___ \| | | | |   | | __/ _ \
  ___) | |_| | |___| | ||  __/
 |____/ \__\_\_____|_|\__\___|
                              
Script to read data from a sqlite database
/usr/bin/python3 /var/www/nebuleair_pro_4g/sqlite/read.py

'''

import sqlite3

# Connect to the SQLite database
conn = sqlite3.connect("/var/www/nebuleair_pro_4g/sqlite/sensors.db")
cursor = conn.cursor()

# Retrieve the last 10 sensor readings
cursor.execute("SELECT * FROM data_NPM ORDER BY timestamp DESC LIMIT 10")

rows = cursor.fetchall()
rows.reverse()  # Reverse the order in Python (to get ascending order)


# Display the results
for row in rows:
    print(row)

# Close the database connection
conn.close()
